#ifndef MYTH_SCREENSAVER_XDG_H
#define MYTH_SCREENSAVER_XDG_H

#include <QObject>

#include "screensaver.h"

class ScreenSaverXDG : public QObject, public ScreenSaverControl
{
    Q_OBJECT

  public:
    ScreenSaverXDG();
    ~ScreenSaverXDG();

    // determine if xdg-utils is installed
    static bool isXDGInstalled(void);

    void Disable(void);
    void Restore(void);
    void Reset(void);

    bool Asleep(void);

  public slots:
    void resetSlot();

  protected:
    class ScreenSaverXDGPrivate *d;
};

#endif // MYTH_SCREENSAVER_XDG_H

